h56596
s 00000/00000/00110
d D 1.2 83/03/03 22:31:37 mjb 2 1
c 
e
s 00110/00000/00000
d D 1.1 83/03/02 17:44:08 mjb 1 0
c date and time created 83/03/02 17:44:08 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph3
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Manage the GRAPH menu overlay number 0                 #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer i, item
SHORTINT bitem

integer iclear, jump, jmpary(MAXxJUMP), savtyp

include(`gphcom')

data jmpary /JUMPxTABLE/

call chgmod (EXITxGRAPHICSxMODE)

iclear = YES
call apmenu (mid, iclear)

action = NUL

repeat {
   call selitm (mid, item)
   bitem = item
   jump = MAXxJUMP
   do i=1, MAXxJUMP {
      if (mid == jmpary(i)) {
         jump = i
         break
         }
      }

   go to (JUMPxTABLE), jump

   MAINxMENU continue
      call mnuman (bitem)
      go to OTHERxWISE

   CREATExNEWxCHART continue
      savtyp = bctype
      call mnucr8 (bitem)
      if (bitem == NUL) bctype = savtyp
      go to OTHERxWISE

   DATAxINPUTxMODE continue 
      call mnudim (bitem)
      if (bitem == NUL) bctype = savtyp
      go to OTHERxWISE

   MULTIPLExCHARTSxPERxPAGE continue 
      go to OTHERxWISE

   DEVICExSELECTION continue 
      if (bitem >= 1 & bitem <= 3) {
	  action = SHOWxCHART
	  device = (bitem-1)*10 + 1
	  mid = lastid
	  }
      if (bitem == NUL) {
	 call apmenu (MAINxMENU, iclear)
	 }
      go to OTHERxWISE

   PIExEDIT continue 

   ADVANCEDxPIExEDIT continue 

   GRAPHxDATAxFRAME continue

   GRAPHxEDIT continue 

   ADVANCEDxGRAPHxEDIT continue 

   NUMERICxAXESxEDIT continue 

   PERIODICxAXESxEDIT continue 

   ANNOTATE continue 

   MOVExLEGEND continue
      go to OTHERxWISE

   DATAxACCESSxMETHOD continue 
      call mnudac (bitem)
      if (bitem == NUL) bitem = savtyp

   OTHERxWISE continue

   } until (action != 0)

return
end
E 1
